import type { _INDateComponentsRange } from "./INDateComponentsRange.js";
import type { _INIntent } from "./INIntent.js";
import type { _INSpeakableString } from "./INSpeakableString.js";
import type { _NSString } from "../Foundation/NSString.js";
import type { _CLPlacemark } from "../CoreLocation/CLPlacemark.js";
import type { INDateSearchType } from "./INDateSearchType.js";
import type { INLocationSearchType } from "./INLocationSearchType.js";
import type { INNotebookItemType } from "./INNotebookItemType.js";
import type { INTaskPriority } from "./INTaskPriority.js";
import type { INTaskStatus } from "./INTaskStatus.js";
import type { INTemporalEventTriggerTypeOptions } from "./INTemporalEventTriggerTypeOptions.js";
export declare class _INSearchForNotebookItemsIntent extends _INIntent {
    static alloc(): _INSearchForNotebookItemsIntent;
    static new(): _INSearchForNotebookItemsIntent;
    init(): _INSearchForNotebookItemsIntent;
    initWithTitle$content$itemType$status$location$locationSearchType$dateTime$dateSearchType$temporalEventTriggerTypes$taskPriority$notebookItemIdentifier$(title: _INSpeakableString | null, content: _NSString | null, itemType: INNotebookItemType, status: INTaskStatus, location: _CLPlacemark | null, locationSearchType: INLocationSearchType, dateTime: _INDateComponentsRange | null, dateSearchType: INDateSearchType, temporalEventTriggerTypes: INTemporalEventTriggerTypeOptions, taskPriority: INTaskPriority, notebookItemIdentifier: _NSString | null): _INSearchForNotebookItemsIntent;
    initWithTitle$content$itemType$status$location$locationSearchType$dateTime$dateSearchType$(title: _INSpeakableString | null, content: _NSString | null, itemType: INNotebookItemType, status: INTaskStatus, location: _CLPlacemark | null, locationSearchType: INLocationSearchType, dateTime: _INDateComponentsRange | null, dateSearchType: INDateSearchType): _INSearchForNotebookItemsIntent;
    initWithTitle$content$itemType$status$location$locationSearchType$dateTime$dateSearchType$notebookItemIdentifier$(title: _INSpeakableString | null, content: _NSString | null, itemType: INNotebookItemType, status: INTaskStatus, location: _CLPlacemark | null, locationSearchType: INLocationSearchType, dateTime: _INDateComponentsRange | null, dateSearchType: INDateSearchType, notebookItemIdentifier: _NSString | null): _INSearchForNotebookItemsIntent;
    title(): _INSpeakableString | null;
    content(): _NSString | null;
    itemType(): INNotebookItemType;
    status(): INTaskStatus;
    location(): _CLPlacemark | null;
    locationSearchType(): INLocationSearchType;
    dateTime(): _INDateComponentsRange | null;
    dateSearchType(): INDateSearchType;
    temporalEventTriggerTypes(): INTemporalEventTriggerTypeOptions;
    taskPriority(): INTaskPriority;
    notebookItemIdentifier(): _NSString | null;
}
